%define _class          Image
%define _subclass       Canvas
%define upstream_name       %{_class}_%{_subclass}

Name:           php-pear-%{upstream_name}
Version:        0.3.1
Release:        %mkrel 7
Summary:        Common interface to image drawing
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/Image_Canvas/
Source0:        http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-gd
Requires:       php-pear-Image_Color >= 1.0.0
Requires:       php-pear
BuildArch:      noarch
BuildRequires:  php-pear

%description
A package providing a common interface to image drawing,
making image source code independent on the library used.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-7.mga3
+ Revision: 376741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 spuhler <spuhler> 0.3.1-6.mga1
+ Revision: 42715
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Canvas

